rio_hw_add_inb_buffer
Prev | PPC32 support | Next

## Name

rio_hw_add_inb_buffer — Add buffer to the MPC85xx inbound message queue

## Synopsis

`int rio_hw_add_inb_buffer (` | struct rio_mport * | mport,
| int | mbox,
| void * | buf`)`;

## Arguments

`mport`

  Master port implementing the inbound message unit

`mbox`

  Inbound mailbox number

`buf`

  Buffer to add to inbound queue

## Description

Adds the `buf` buffer to the MPC85xx inbound message queue. Returns `0` on success or `-EINVAL` on failure.

Prev | Up | Next
rio_hw_add_outb_message | Home | rio_hw_get_inb_message